from typing import Any, Dict, List, Type, TypeVar, Union, cast

import attr

from ..models.cohort_prediction_item import CohortPredictionItem
from ..models.prediction_service_get_cohort_response_200_as_of import (
    PredictionService_GetCohortResponse_200AsOf,
)
from ..models.prediction_service_get_cohort_response_200_scenario import (
    PredictionService_GetCohortResponse_200Scenario,
)
from ..types import UNSET, Unset

T = TypeVar("T", bound="CohortPrediction")


@attr.s(auto_attribs=True)
class CohortPrediction:
    """  """

    as_of: Union[PredictionService_GetCohortResponse_200AsOf, Unset] = UNSET
    scenario: Union[
        Unset, PredictionService_GetCohortResponse_200Scenario
    ] = PredictionService_GetCohortResponse_200Scenario.BASELINE
    symbol: Union[Unset, str] = UNSET
    values: Union[Unset, List[CohortPredictionItem]] = UNSET
    additional_properties: Dict[str, Any] = attr.ib(init=False, factory=dict)

    def to_dict(self) -> Dict[str, Any]:
        as_of: Union[Unset, Dict[str, Any]] = UNSET
        if not isinstance(self.as_of, Unset):
            as_of = self.as_of.to_dict()

        scenario: Union[Unset, PredictionService_GetCohortResponse_200Scenario] = UNSET
        if not isinstance(self.scenario, Unset):
            scenario = self.scenario

        symbol = self.symbol
        values: Union[Unset, List[Any]] = UNSET
        if not isinstance(self.values, Unset):
            values = []
            for values_item_data in self.values:
                values_item = values_item_data.to_dict()

                values.append(values_item)

        field_dict: Dict[str, Any] = {}
        field_dict.update(self.additional_properties)
        field_dict.update({})
        if as_of is not UNSET:
            field_dict["asOf"] = as_of
        if scenario is not UNSET:
            field_dict["scenario"] = scenario
        if symbol is not UNSET:
            field_dict["symbol"] = symbol
        if values is not UNSET:
            field_dict["values"] = values

        return field_dict

    @classmethod
    def from_dict(cls: Type[T], src_dict: Dict[str, Any]) -> T:
        d = src_dict.copy()
        as_of: Union[PredictionService_GetCohortResponse_200AsOf, Unset] = UNSET
        _as_of = d.pop("asOf", UNSET)
        if not isinstance(_as_of, Unset):
            as_of = PredictionService_GetCohortResponse_200AsOf.from_dict(
                cast(Dict[str, Any], _as_of)
            )

        scenario = None
        _scenario = d.pop("scenario", UNSET)
        if _scenario is not None and _scenario is not UNSET:
            scenario = PredictionService_GetCohortResponse_200Scenario(_scenario)

        symbol = d.pop("symbol", UNSET)

        values = []
        _values = d.pop("values", UNSET)
        for values_item_data in _values or []:
            values_item = CohortPredictionItem.from_dict(values_item_data)

            values.append(values_item)

        cohort_prediction = cls(
            as_of=as_of,
            scenario=scenario,
            symbol=symbol,
            values=values,
        )

        cohort_prediction.additional_properties = d
        return cohort_prediction

    @property
    def additional_keys(self) -> List[str]:
        return list(self.additional_properties.keys())

    def __getitem__(self, key: str) -> Any:
        return self.additional_properties[key]

    def __setitem__(self, key: str, value: Any) -> None:
        self.additional_properties[key] = value

    def __delitem__(self, key: str) -> None:
        del self.additional_properties[key]

    def __contains__(self, key: str) -> bool:
        return key in self.additional_properties
