from typing import Any, Dict, List, Type, TypeVar, Union, cast

import attr

from ..models.prediction_service_get_cohort_response_200_values_item_ahead import (
    PredictionService_GetCohortResponse_200ValuesItemAhead,
)
from ..models.prediction_service_get_cohort_response_200_values_item_period import (
    PredictionService_GetCohortResponse_200ValuesItemPeriod,
)
from ..types import UNSET, Unset

T = TypeVar("T", bound="CohortPredictionItem")


@attr.s(auto_attribs=True)
class CohortPredictionItem:
    """  """

    ahead: Union[
        Unset, PredictionService_GetCohortResponse_200ValuesItemAhead
    ] = PredictionService_GetCohortResponse_200ValuesItemAhead.NONE
    cpr: Union[Unset, float] = UNSET
    period: Union[
        PredictionService_GetCohortResponse_200ValuesItemPeriod, Unset
    ] = UNSET
    smm: Union[Unset, float] = UNSET
    additional_properties: Dict[str, Any] = attr.ib(init=False, factory=dict)

    def to_dict(self) -> Dict[str, Any]:
        ahead: Union[
            Unset, PredictionService_GetCohortResponse_200ValuesItemAhead
        ] = UNSET
        if not isinstance(self.ahead, Unset):
            ahead = self.ahead

        cpr = self.cpr
        period: Union[Unset, Dict[str, Any]] = UNSET
        if not isinstance(self.period, Unset):
            period = self.period.to_dict()

        smm = self.smm

        field_dict: Dict[str, Any] = {}
        field_dict.update(self.additional_properties)
        field_dict.update({})
        if ahead is not UNSET:
            field_dict["ahead"] = ahead
        if cpr is not UNSET:
            field_dict["cpr"] = cpr
        if period is not UNSET:
            field_dict["period"] = period
        if smm is not UNSET:
            field_dict["smm"] = smm

        return field_dict

    @classmethod
    def from_dict(cls: Type[T], src_dict: Dict[str, Any]) -> T:
        d = src_dict.copy()
        ahead = None
        _ahead = d.pop("ahead", UNSET)
        if _ahead is not None and _ahead is not UNSET:
            ahead = PredictionService_GetCohortResponse_200ValuesItemAhead(_ahead)

        cpr = d.pop("cpr", UNSET)

        period: Union[
            PredictionService_GetCohortResponse_200ValuesItemPeriod, Unset
        ] = UNSET
        _period = d.pop("period", UNSET)
        if not isinstance(_period, Unset):
            period = PredictionService_GetCohortResponse_200ValuesItemPeriod.from_dict(
                cast(Dict[str, Any], _period)
            )

        smm = d.pop("smm", UNSET)

        cohort_prediction_item = cls(
            ahead=ahead,
            cpr=cpr,
            period=period,
            smm=smm,
        )

        cohort_prediction_item.additional_properties = d
        return cohort_prediction_item

    @property
    def additional_keys(self) -> List[str]:
        return list(self.additional_properties.keys())

    def __getitem__(self, key: str) -> Any:
        return self.additional_properties[key]

    def __setitem__(self, key: str, value: Any) -> None:
        self.additional_properties[key] = value

    def __delitem__(self, key: str) -> None:
        del self.additional_properties[key]

    def __contains__(self, key: str) -> bool:
        return key in self.additional_properties
